package cn.com.poc.knowledge.entity;	


public class BizKnowledgeInfoEntity {

    private static final long serialVersionUID = 1L;
	/** id
    *
    */ 
    private java.lang.Integer id;

    public java.lang.Integer getId(){
        return this.id;
    }
    
    public void setId(java.lang.Integer id){
        this.id = id;
    }
	/** knowledge_name
    *知识库名字
    */ 
    private java.lang.String knowledgeName;

    public java.lang.String getKnowledgeName(){
        return this.knowledgeName;
    }
    
    public void setKnowledgeName(java.lang.String knowledgeName){
        this.knowledgeName = knowledgeName;
    }

    /**
     * knowledge_type
     * 知识库类型 QA-问答 Base-基础
     */
    private String knowledgeType;

    public String getKnowledgeType() {
        return knowledgeType;
    }

    public void setKnowledgeType(String knowledgeType) {
        this.knowledgeType = knowledgeType;
    }

    /** member_id
    *用户ID
    */ 
    private java.lang.String memberId;

    public java.lang.String getMemberId(){
        return this.memberId;
    }
    
    public void setMemberId(java.lang.String memberId){
        this.memberId = memberId;
    }
	/** kd_ids
    *关联的文件ID
    */ 
    private java.lang.String kdIds;

    public java.lang.String getKdIds(){
        return this.kdIds;
    }
    
    public void setKdIds(java.lang.String kdIds){
        this.kdIds = kdIds;
    }
	/** train_status
    *状态：未执行-Unopened、 排队-Line 、训练中-Training、 完成-Complete、失败-Fail
    */ 
    private java.lang.String trainStatus;

    public java.lang.String getTrainStatus(){
        return this.trainStatus;
    }
    
    public void setTrainStatus(java.lang.String trainStatus){
        this.trainStatus = trainStatus;
    }
	/** knowledgeDesc
    *
    */ 
    private java.lang.String knowledgeDesc;

    public String getKnowledgeDesc() {
        return knowledgeDesc;
    }

    public void setKnowledgeDesc(String knowledgeDesc) {
        this.knowledgeDesc = knowledgeDesc;
    }

    /**
     * is_open
     */
    private String isOpen;

    public String getIsOpen() {
        return isOpen;
    }

    public void setIsOpen(String isOpen) {
        this.isOpen = isOpen;
    }

    /** is_deleted
    *是否删除 Y 是  N 否
    */ 
    private java.lang.String isDeleted;

    public java.lang.String getIsDeleted(){
        return this.isDeleted;
    }
    
    public void setIsDeleted(java.lang.String isDeleted){
        this.isDeleted = isDeleted;
    }
	/** CREATOR
    *创建人
    */ 
    private java.lang.String creator;

    public java.lang.String getCreator(){
        return this.creator;
    }
    
    public void setCreator(java.lang.String creator){
        this.creator = creator;
    }
	/** CREATED_TIME
    *创建时间
    */ 
    private java.util.Date createdTime;

    public java.util.Date getCreatedTime(){
        return this.createdTime;
    }
    
    public void setCreatedTime(java.util.Date createdTime){
        this.createdTime = createdTime;
    }
	/** MODIFIER
    *修改人
    */ 
    private java.lang.String modifier;

    public java.lang.String getModifier(){
        return this.modifier;
    }
    
    public void setModifier(java.lang.String modifier){
        this.modifier = modifier;
    }
	/** MODIFIED_TIME
    *修改时间
    */ 
    private java.util.Date modifiedTime;

    public java.util.Date getModifiedTime(){
        return this.modifiedTime;
    }
    
    public void setModifiedTime(java.util.Date modifiedTime){
        this.modifiedTime = modifiedTime;
    }
	/** SYS_VERSION
    *乐观锁,版本号
    */ 
    private java.lang.Integer sysVersion;

    public java.lang.Integer getSysVersion(){
        return this.sysVersion;
    }
    
    public void setSysVersion(java.lang.Integer sysVersion){
        this.sysVersion = sysVersion;
    }
}